Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451400 - Review Request: ghc-hsql-sqlite3 - SQLite3 driver for HSQL
Summary: Review Request: ghc-hsql-sqlite3 - SQLite3 driver for HSQL
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://hackage.haskell.org/cgi-bin/ha...
Whiteboard:
Depends On: 451152
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-14 03:13 UTC by Rajesh Krishnan
Modified: 2010-01-26 00:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 23:23:56 UTC


Attachments (Terms of Use)
ghc-hsql-sqlite3-1.7-1.spec (deleted)
2008-06-14 03:13 UTC, Rajesh Krishnan
no flags Details
ghc-hsql-sqlite3.cabal.patch (deleted)
2008-06-14 03:14 UTC, Rajesh Krishnan
no flags Details | Diff
ghc-hsql-sqlite3.Setup.lhs.patch (deleted)
2008-06-14 03:15 UTC, Rajesh Krishnan
no flags Details | Diff
ghc-hsql-sqlite3-1.7-2.spec (deleted)
2008-06-14 03:28 UTC, Rajesh Krishnan
no flags Details

Description Rajesh Krishnan 2008-06-14 03:13:01 UTC
Description of problem:


Version-Release number of selected component (if applicable):
1.7

How reproducible:


Steps to Reproduce:
1.  Download 
http://hackage.haskell.org/packages/archive/hsql-sqlite3/1.7/hsql-sqlite3-1.7.tar.gz
    to rpmbuild/SOURCES folder.
2.  Copy attached <this-package>-<this-version>.spec to rpmbuild/SPECS folder.
3.  Copy the attached *.patch files to the rpmbuild/SOURCES folder (if any).
3.  Execute:
rpmbuild --clean  --target=$(uname -i) -ba \
    rpmbuild/SPECS/<this-package>-<this-version>.spec
  
Actual results:
--

Expected results:
You should see the compiled RPM and SRPM binaries in the respective folders.


Additional info:
1. The same .SPEC should work for Fedora 9 also (I guess, but I tested only on 
Fedora-8).
2. Depends on: postgresql (and -devel), ghc-hsql

Comment 1 Rajesh Krishnan 2008-06-14 03:13:01 UTC
Created attachment 309320 [details]
ghc-hsql-sqlite3-1.7-1.spec

Comment 2 Rajesh Krishnan 2008-06-14 03:14:01 UTC
Created attachment 309321 [details]
ghc-hsql-sqlite3.cabal.patch

Added additional GHC related compiler options.

Comment 3 Rajesh Krishnan 2008-06-14 03:15:12 UTC
Created attachment 309322 [details]
ghc-hsql-sqlite3.Setup.lhs.patch

Fixed compiler errors due to recent changes in Cabal APIs with GHC 6.8.2.

Comment 4 Rajesh Krishnan 2008-06-14 03:28:39 UTC
Created attachment 309323 [details]
ghc-hsql-sqlite3-1.7-2.spec

Updated the .spec with Requires and BuildRequires dependencies.

Comment 5 Bryan O'Sullivan 2008-06-17 23:23:56 UTC
I am mass-closing these submissions, as they are completely useless and do not
follow any of the packaging guidelines.  Do not attempt to reopen them.


Note You need to log in before you can comment on or make changes to this bug.